﻿@page "/campaigns"

@using Easy4Us.Application.Interfaces
@using Easy4Us.Application.DTO

@inject ICampaignAppService CampaignAppService

@if (campaigns == null)
{
    <p><em>Loading campaigns...</em></p>
}
else
{
    <p>
        <b class="navbar-brand">Campaigns</b>
        <NavLink class="btn nav-link" style="display:initial; background-color:deepskyblue; color:white;" href="campaigns/create">
            <span class="oi oi-bullhorn"></span> Create Campaign
        </NavLink>
    </p>

    <table class="table table-sm table-striped table-bordered shadow-lg">
        <thead class="bg-dell-principal">
            <tr>
                <th>Name</th>
                <th>Description</th>
                <th>Start Date</th>
                <th>End Date</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var campaign in campaigns)
            {
                <tr>
                    <td>@campaign.Name</td>
                    <td>@campaign.Description</td>
                    <td>@campaign.StartDate.ToString("yyyy/MM/dd")</td>
                    <td>@campaign.EndDate.ToString("yyyy/MM/dd")</td>
                    <td>
                        <a asp-action="Edit" asp-route-id="@campaign.ID"><i class="oi oi-pencil"></i></a> |
                        <a asp-action="Delete" asp-route-id="@campaign.ID"><i class="oi oi-trash"></i></a>
                    </td>
                </tr>
            }
        </tbody>
    </table>
}


@code {
    IEnumerable<CampaignDTO> campaigns;

    protected override async Task OnInitializedAsync()
    {
        campaigns = await CampaignAppService.GetCampaigns();
    }
}